%define ALD_Ver		2.0

Name:         pciutils

License:      GNU GPL
Summary:      The PCI Utilities
Version:      3.10.0
Release:      0

#https://github.com/pciutils/pciutils

Source: %{name}-%{version}.tar.xz
#Source2: %{name}-%{version}-patches.tgz

%define DestDir		/System
# -----------------------------------------------------

%if %{_target_cpu} == %{_build_cpu}
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}
%define _CROSS 0
%define MakeLocCross 0
%define target_ %{nil}
%else
# rpm --target=armv7hl -ba xxxxx.spec
%define _srcrpmdir	%{_topdir}/SRPMS/tmp
%define _CROSS 1
%define MakeLocCross 1
%define _host %{_arch}-%{_os}%{_gnu}
%define target_ %{_host}-
%endif

#------------------ CROSS DIR --------------------

%define docdir		%{_defaultdocdir}/%{name}

%define auto_local %{_sourcedir}/AUTO_LOCAL-1.sh
%define have_auto_local %(if test -x %{auto_local} ; then echo 1 ; else echo 0 ; fi)

%if %{have_auto_local}
%define __os_install_post %{nil}
%define CrossPath	%(%{auto_local} -GetCrossPath -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu})
%endif

# ------------------- description ------------------------------------
%description
This package contains various utilities for inspecting and
setting of devices connected to the PCI bus.
#-------------------------------
%package ids
Summary:      usb.ids  List of PCI ID's Version: 2020.05.29
Group:        Development/Libraries
%description ids
usb.ids  List of PCI ID's
#-------------------------------
%package devel
Summary:      Libraries for the C compiler
Group:        Development/Libraries
%description devel
These libraries are needed to compile C code.
# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}

# ------------------- Build ------------------------------------------
%Build
%if %{_CROSS}
export PATH="%{CrossPath}/bin:$PATH"
export GCC_NoHostPath=d
%endif

%if %{_arch} == "i386"
OPTFLAGS="-Os -march=i586 -mpreferred-stack-boundary=2 -falign-functions=1 -falign-jumps=1 -falign-loops=1 -fomit-frame-pointer"
%endif
%if %{_arch} == "x86_64"
OPTFLAGS="-Os"
%endif
%if %{_arch} == "arm"
OPTFLAGS="%{optflags} -Os -munaligned-access"
%endif

OPTFLAGS="$OPTFLAGS -fno-asynchronous-unwind-tables"

CFLAGS="$OPTFLAGS -ffunction-sections -fdata-sections -D_GNU_SOURCE"
LDFLAGS="-Wl,--gc-sections"

export LDFLAGS
export PKG_CONFIG=%{target_}pkg-config

make OPT="$CFLAGS" PREFIX=%{_prefix} LIBDIR=%{_libdir} CC=%{target_}gcc \
	ZLIB=yes DNS=no LIBKMOD=no STRIP= &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install

%if %{_CROSS}
export PATH="%{CrossPath}/bin:$PATH"
export GCC_NoHostPath=d
%endif

rm -rf $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}

make OPT="$CFLAGS" PREFIX=%{_prefix} LIBDIR=%{_libdir} \
	CROSS_COMPILE=%{target_} ZLIB=yes DNS=no LIBKMOD=no STRIP= DESTDIR=$RPM_BUILD_ROOT install

cp README $RPM_BUILD_ROOT%{docdir}/
ln -s /usr/share/doc/gpl-2.0.txt $RPM_BUILD_ROOT%{docdir}/COPYING

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} -DelLocCrossDir=%{_bindir}
%endif  # have_auto_local

# ------------------- Clean ------------------------------------------
%Clean

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} \
	-ALD_Ver=%{ALD_Ver} -RpmMovePath=%{DestDir} -tar_arg=bzip2
%endif  # have_auto_local

# ------------------- Files ------------------------------------------
%files
%{_bindir}
%{_sbindir}
%{_mandir}
%{docdir}

%files ids
%{_datadir}/pci.ids.gz
